core.math / SplineFunction

# SplineFunction

`class SplineFunction`

A <emph>spline</emph> is function piecewise-defined by polynomial functions. Points at which polynomial pieces connect are known as <emph>knots</emph>.

### Parameters

`segmentMap` - a mapping between a knot and the polynomial that covers the subsequent interval

### Constructors

<init> | `SplineFunction(segmentMap: TreeMap<Double, Polynomial>)` A <emph>spline</emph> is function piecewise-defined by polynomial functions. Points at which polynomial pieces connect are known as <emph>knots</emph>.

### Functions

getValue | `fun getValue(x: Double): Double`